# Check for --version or --help options

for i in $*
do
  case $i in
  --help)
     echo "Usage: mmucl [INTERFACE] [OPTION]"
     echo
     echo "Interfaces:"
     echo "xterm   - a xterm for display and a floating toolbar for input"
     echo "console - the console for input and display"
     echo "tk      - a pure Tcl/Tk interface"
     echo
     echo "If not given, the default is tk"
     echo
     echo "Options:"
     echo "--help          print this message and exit"
     echo "--version       print the version and exit"
     echo "-exec SCRIPT    start mmucl and eval SCRIPT"
     echo
     echo "Report bugs to mpatton@jhu.edu"

     exit
  ;;
  --version)
    echo "MMuCl $VERSION"
    exit
  ;;
  esac
done

# Figure out which interface to start

if [ "$1" = "xterm" ]
then
  exec xterm -T Mmucl -e $WISH $MMUCL_DIR/bin/xmmucl.tcl ${1+"$@"}
elif [ "$1" = "console" ]
then
  exec $TCLSH $MMUCL_DIR/bin/cmmucl.tcl ${1+"$@"}
else
  exec $WISH $MMUCL_DIR/bin/winmmucl.tcl ${1+"$@"}
fi
